summaryrefslogtreecommitdiffstats
path: root/common
diff options
context:
space:
mode:
authorMichal Cmarada <mcmarada@cisco.com>2019-04-10 17:43:54 +0200
committerMichal Cmarada <mcmarada@cisco.com>2019-04-10 17:43:54 +0200
commita7a8f9822082e533096e5bdecc531cbaea0f3931 (patch)
tree0b13a21e2360c273eb3d3593bccc37d6474ffb2b /common
parent9401e2bf0cd137b0cb57b2ac86cbd643d5460b60 (diff)
HONEYCOMB-448: JAVA 11 support
- updated dependencies - compilation error fixes Change-Id: Iad9d353d06c113a0da892ff11a442e4b41edae0d Signed-off-by: Michal Cmarada <mcmarada@cisco.com>
Diffstat (limited to 'common')
-rw-r--r--common/api-parent/pom.xml2
-rw-r--r--common/asciidoc-scripts/pom.xml5
-rw-r--r--common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy2
-rw-r--r--common/common-scripts/pom.xml1
-rw-r--r--common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ModulesListGenerator.groovy6
-rw-r--r--common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/StartupScriptGenerator.groovy2
-rw-r--r--common/common-scripts/src/main/resources/modules/modulesListDefaultContent4
-rw-r--r--common/honeycomb-parent/pom.xml111
-rw-r--r--common/impl-parent/pom.xml25
-rw-r--r--common/minimal-distribution-parent/pom.xml44
-rw-r--r--common/scripts-parent/pom.xml24
-rw-r--r--common/yang-whitelist/yang-whitelist-api/pom.xml2
-rw-r--r--common/yang-whitelist/yang-whitelist-api/src/main/java/io/fd/honeycomb/yang/YangModuleWhitelist.java4
-rw-r--r--common/yang-whitelist/yang-whitelist-impl/pom.xml28
-rw-r--r--common/yang-whitelist/yang-whitelist-impl/src/test/java/io/fd/honeycomb/yang/YangModuleWhitelistReaderTest.java7
15 files changed, 176 insertions, 91 deletions
diff --git a/common/api-parent/pom.xml b/common/api-parent/pom.xml
index b657c37..5fcd421 100644
--- a/common/api-parent/pom.xml
+++ b/common/api-parent/pom.xml
@@ -29,7 +29,7 @@
<packaging>pom</packaging>
<properties>
- <annotations.version>3.0.0</annotations.version>
+ <annotations.version>3.0.1</annotations.version>
</properties>
<build>
diff --git a/common/asciidoc-scripts/pom.xml b/common/asciidoc-scripts/pom.xml
index 6d5e44b..f6cacb6 100644
--- a/common/asciidoc-scripts/pom.xml
+++ b/common/asciidoc-scripts/pom.xml
@@ -36,6 +36,11 @@
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
+ <type>pom</type>
+ </dependency>
+ <dependency>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-templates</artifactId>
</dependency>
</dependencies>
</project> \ No newline at end of file
diff --git a/common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy b/common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy
index 5bdf0cd..6dbfef8 100644
--- a/common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy
+++ b/common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy
@@ -23,7 +23,7 @@ class AsciiDocImgForwarder {
static final def ADOC_FOLDER = "asciidoc"
static final def SITE_FOLDER = "site"
- static final def PNG_EXTENSION = "png";
+ static final def PNG_EXTENSION = "png"
/**
* Copies generated images to site folder
diff --git a/common/common-scripts/pom.xml b/common/common-scripts/pom.xml
index 2562e16..dfc8c35 100644
--- a/common/common-scripts/pom.xml
+++ b/common/common-scripts/pom.xml
@@ -40,6 +40,7 @@
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
+ <type>pom</type>
</dependency>
<dependency>
<groupId>org.opendaylight.mdsal</groupId>
diff --git a/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ModulesListGenerator.groovy b/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ModulesListGenerator.groovy
index 525a77e..e7a9bfb 100644
--- a/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ModulesListGenerator.groovy
+++ b/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ModulesListGenerator.groovy
@@ -33,7 +33,7 @@ class ModulesListGenerator {
static final def MODULE_LIST_FILE_SUFFIX = "-module-config"
static final def SEPARATOR = ","
- public static void generate(project, properties, log) {
+ public static void generate(project, log) {
// module configuration file extraction
// builds project name from group,artifact and version to prevent overwriting
// while building multiple distribution project
@@ -42,7 +42,7 @@ class ModulesListGenerator {
log.info "Generating list of modules started by distribution ${projectName}"
- def activeModules = properties.getProperty(MODULES_LIST_CONTENT_PROPERTY, DEFAULT_MODULES_LIST)
+ def activeModules = project.properties.get(MODULES_LIST_CONTENT_PROPERTY, DEFAULT_MODULES_LIST)
.tokenize(SEPARATOR)
.collect { module -> module.trim() }
@@ -54,7 +54,7 @@ class ModulesListGenerator {
outputPath.toFile().mkdirs()
def outputFile = Paths.get(outputPath.toString(), "${projectName}${MODULE_LIST_FILE_SUFFIX}").toFile()
- outputFile.createNewFile();
+ outputFile.createNewFile()
log.info("Writing module configuration for distribution ${projectName} to ${outputPath}")
if (activeModules.isEmpty()) {
diff --git a/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/StartupScriptGenerator.groovy b/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/StartupScriptGenerator.groovy
index 566a90d..a8ab4bc 100644
--- a/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/StartupScriptGenerator.groovy
+++ b/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/StartupScriptGenerator.groovy
@@ -57,7 +57,7 @@ class StartupScriptGenerator {
def jarName = "${project.artifactId}-${project.version}.jar"
def jvmParameters = "${additionalJvmParameters} -jar \$(dirname \$0)/${jarName}"
- def scriptParent = Paths.get(project.build.outputDirectory, MINIMAL_RESOURCES_FOLDER)
+ def scriptParent = Paths.get(project.build.outputDirectory as String, MINIMAL_RESOURCES_FOLDER)
scriptParent.toFile().mkdirs()
def startScriptPath = generateStartupScript(jvmParameters, log, scriptParent, scriptTemplate)
diff --git a/common/common-scripts/src/main/resources/modules/modulesListDefaultContent b/common/common-scripts/src/main/resources/modules/modulesListDefaultContent
index 32c2bf8..3e5ae86 100644
--- a/common/common-scripts/src/main/resources/modules/modulesListDefaultContent
+++ b/common/common-scripts/src/main/resources/modules/modulesListDefaultContent
@@ -2,6 +2,6 @@
//
// This distribution does not define any own modules.
// In order to do so either distribution.modules property must be defined in distribution pom.xml,
-// containing list of desired modules to start, or this file can be directly edited with same effect.
+// containing list of desired modules to start or this file can be directly edited with same effect.
//
-// Note : Modules should be referenced by full class name, e.g: io.fd.test.SampleModule, and separated with comma. \ No newline at end of file
+// Note : Modules should be referenced by full class name. e.g: io.fd.test.SampleModule and separated with comma. \ No newline at end of file
diff --git a/common/honeycomb-parent/pom.xml b/common/honeycomb-parent/pom.xml
index 1a13b07..7da8d2c 100644
--- a/common/honeycomb-parent/pom.xml
+++ b/common/honeycomb-parent/pom.xml
@@ -57,22 +57,22 @@
<salGeneratorPath>target/generated-sources/mdsal-binding</salGeneratorPath>
<!-- common dependencies -->
- <junit.version>4.11</junit.version>
- <mockito.version>2.2.9</mockito.version>
- <hamcrest.version>1.3</hamcrest.version>
+ <junit.version>4.12</junit.version>
+ <mockito.version>2.23.4</mockito.version>
+ <hamcrest.version>2.1</hamcrest.version>
<guava.version>23.6-jre</guava.version>
- <jsr305.version>3.0.0</jsr305.version>
- <slf4j.version>1.7.21</slf4j.version>
- <jdt.version>2.1.150</jdt.version>
+ <jsr305.version>3.0.2</jsr305.version>
+ <slf4j.version>1.7.25</slf4j.version>
+ <jdt.version>2.2.200</jdt.version>
<!-- plugins -->
<checkstyle.plugin.version>3.0.0</checkstyle.plugin.version>
<checkstyle.version>8.18</checkstyle.version>
- <maven.javadoc.version>2.10.3</maven.javadoc.version>
- <jacoco.version>0.7.9</jacoco.version>
- <enforcer.version>1.4</enforcer.version>
- <maven.compile.plugin.version>3.5.1</maven.compile.plugin.version>
- <maven.bundle.version>3.0.1</maven.bundle.version>
+ <maven.javadoc.version>3.0.1</maven.javadoc.version>
+ <jacoco.version>0.8.2</jacoco.version>
+ <enforcer.version>3.0.0-M2</enforcer.version>
+ <maven.compile.plugin.version>3.8.0</maven.compile.plugin.version>
+ <maven.bundle.version>4.1.0</maven.bundle.version>
<!-- checkstyle -->
<checkstyle.header.file>APACHE_HEADER.txt</checkstyle.header.file>
@@ -88,10 +88,10 @@
<asciidoctorj.diagram.version>1.3.1</asciidoctorj.diagram.version>
<!-- groovy -->
- <maven.groovy.version>2.0</maven.groovy.version>
- <groovy.version>2.4.7</groovy.version>
- <groovy.eclipse.compiler.version>2.9.2-01</groovy.eclipse.compiler.version>
- <groovy.eclipse.batch.version>2.4.3-01</groovy.eclipse.batch.version>
+ <maven.groovy.version>1.6.2</maven.groovy.version>
+ <groovy.version>2.5.5</groovy.version>
+ <groovy.eclipse.compiler.version>3.3.0-01</groovy.eclipse.compiler.version>
+ <groovy.eclipse.batch.version>2.5.6-02</groovy.eclipse.batch.version>
<docs.base.url>https://nexus.fd.io/content/sites/site</docs.base.url>
<docs.hc.folder>io/fd/honeycomb</docs.hc.folder>
@@ -220,7 +220,7 @@
</dependency>
<dependency>
<groupId>org.hamcrest</groupId>
- <artifactId>hamcrest-all</artifactId>
+ <artifactId>hamcrest</artifactId>
<version>${hamcrest.version}</version>
<scope>test</scope>
</dependency>
@@ -321,6 +321,7 @@
<artifactId>maven-javadoc-plugin</artifactId>
<version>${maven.javadoc.version}</version>
<configuration>
+ <source>8</source>
<additionalparam>-Xdoclint:none</additionalparam>
</configuration>
<executions>
@@ -407,26 +408,27 @@
<version>${maven.compile.plugin.version}</version>
<configuration>
<!-- Use google's error-prone static analysis-->
- <compilerId>javac-with-errorprone</compilerId>
+ <!-- TODO reenable errorprone once it is able to be built using java 11 -->
+ <!--<compilerId>javac-with-errorprone</compilerId>-->
<forceJavacCompilerUse>true</forceJavacCompilerUse>
<showWarnings>true</showWarnings>
<source>1.8</source>
<target>1.8</target>
</configuration>
- <dependencies>
- <dependency>
- <groupId>org.codehaus.plexus</groupId>
- <artifactId>plexus-compiler-javac-errorprone</artifactId>
- <version>2.5</version>
- </dependency>
- <!-- override plexus-compiler-javac-errorprone's dependency on
- Error Prone with the latest version -->
- <dependency>
- <groupId>com.google.errorprone</groupId>
- <artifactId>error_prone_core</artifactId>
- <version>2.0.9</version>
- </dependency>
- </dependencies>
+ <!--<dependencies>-->
+ <!--<dependency>-->
+ <!--<groupId>org.codehaus.plexus</groupId>-->
+ <!--<artifactId>plexus-compiler-javac-errorprone</artifactId>-->
+ <!--<version>2.8.5</version>-->
+ <!--</dependency>-->
+ <!--&lt;!&ndash; override plexus-compiler-javac-errorprone's dependency on-->
+ <!--Error Prone with the latest version &ndash;&gt;-->
+ <!--<dependency>-->
+ <!--<groupId>com.google.errorprone</groupId>-->
+ <!--<artifactId>error_prone_core</artifactId>-->
+ <!--<version>2.3.2</version>-->
+ <!--</dependency>-->
+ <!--</dependencies>-->
</plugin>
<plugin>
<groupId>org.apache.felix</groupId>
@@ -495,8 +497,8 @@
</dependencies>
</plugin>
<plugin>
- <groupId>org.codehaus.gmaven</groupId>
- <artifactId>groovy-maven-plugin</artifactId>
+ <groupId>org.codehaus.gmavenplus</groupId>
+ <artifactId>gmavenplus-plugin</artifactId>
<version>${maven.groovy.version}</version>
<executions>
<!-- Generate Readme.adoc if not present -->
@@ -508,9 +510,14 @@
</goals>
<configuration>
<!-- Generate module adoc documentation -->
- <source>
- io.fd.honeycomb.common.scripts.ReadmeGenerator.checkReadme(project, properties, log)
- </source>
+ <scripts>
+ <script>
+ <![CDATA[
+ import io.fd.honeycomb.common.scripts.ReadmeGenerator
+ ReadmeGenerator.checkReadme(project, properties, log)
+ ]]>
+ </script>
+ </scripts>
</configuration>
</execution>
<!-- Fix generated html -->
@@ -522,9 +529,14 @@
</goals>
<configuration>
<!-- Site generates wrong link to Readme.html, trying to point to Readme.html at root -->
- <source>
- io.fd.honeycomb.common.scripts.ReadmeGenerator.fixSite(project, properties, log)
- </source>
+ <scripts>
+ <script>
+ <![CDATA[
+ import io.fd.honeycomb.common.scripts.ReadmeGenerator
+ ReadmeGenerator.fixSite(project, properties, log)
+ ]]>
+ </script>
+ </scripts>
</configuration>
</execution>
<!-- copy generated schema pictures -->
@@ -536,14 +548,25 @@
</goals>
<configuration>
<!-- Copies generated schema pictures from ascii-doctor folders to site folder-->
- <source>
- io.fd.honeycomb.common.scripts.AsciiDocImgForwarder.copyGeneratedImages(project, properties, log)
- </source>
+ <scripts>
+ <script>
+ <![CDATA[
+ import io.fd.honeycomb.common.scripts.AsciiDocImgForwarder
+ AsciiDocImgForwarder.copyGeneratedImages(project, properties, log)
+ ]]>
+ </script>
+ </scripts>
</configuration>
</execution>
</executions>
<dependencies>
<dependency>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-all</artifactId>
+ <type>pom</type>
+ <version>${groovy.version}</version>
+ </dependency>
+ <dependency>
<groupId>io.fd.honeycomb.doc</groupId>
<artifactId>asciidoc-scripts</artifactId>
<version>1.19.04-SNAPSHOT</version>
@@ -580,8 +603,8 @@
<artifactId>maven-bundle-plugin</artifactId>
</plugin>
<plugin>
- <groupId>org.codehaus.gmaven</groupId>
- <artifactId>groovy-maven-plugin</artifactId>
+ <groupId>org.codehaus.gmavenplus</groupId>
+ <artifactId>gmavenplus-plugin</artifactId>
</plugin>
</plugins>
diff --git a/common/impl-parent/pom.xml b/common/impl-parent/pom.xml
index a1c8ecb..dd4e010 100644
--- a/common/impl-parent/pom.xml
+++ b/common/impl-parent/pom.xml
@@ -68,6 +68,11 @@
<version>${guice.version}</version>
<scope>test</scope>
</dependency>
+ <dependency>
+ <groupId>org.javassist</groupId>
+ <artifactId>javassist</artifactId>
+ <version>3.24.1-GA</version>
+ </dependency>
</dependencies>
</dependencyManagement>
@@ -98,8 +103,9 @@
</plugin>
<!-- Generate module to yang provider index -->
<plugin>
- <groupId>org.codehaus.gmaven</groupId>
- <artifactId>groovy-maven-plugin</artifactId>
+ <groupId>org.codehaus.gmavenplus</groupId>
+ <artifactId>gmavenplus-plugin</artifactId>
+ <version>${maven.groovy.version}</version>
<executions>
<execution>
<id>generate-yang-index</id>
@@ -108,9 +114,14 @@
<goal>execute</goal>
</goals>
<configuration>
- <source>
- io.fd.honeycomb.common.scripts.ModuleYangIndexGenerator.generateIndexForPresentModules(project, log)
- </source>
+ <scripts>
+ <script>
+ <![CDATA[
+ import io.fd.honeycomb.common.scripts.ModuleYangIndexGenerator
+ ModuleYangIndexGenerator.generateIndexForPresentModules(project, log)
+ ]]>
+ </script>
+ </scripts>
</configuration>
</execution>
</executions>
@@ -127,8 +138,8 @@
<plugins>
<plugin>
- <groupId>org.codehaus.gmaven</groupId>
- <artifactId>groovy-maven-plugin</artifactId>
+ <groupId>org.codehaus.gmavenplus</groupId>
+ <artifactId>gmavenplus-plugin</artifactId>
</plugin>
</plugins>
diff --git a/common/minimal-distribution-parent/pom.xml b/common/minimal-distribution-parent/pom.xml
index 0f22434..d0edeff 100644
--- a/common/minimal-distribution-parent/pom.xml
+++ b/common/minimal-distribution-parent/pom.xml
@@ -87,8 +87,8 @@
<!-- Generate shell script -->
<!-- Extract modules started by distribution -->
<plugin>
- <groupId>org.codehaus.gmaven</groupId>
- <artifactId>groovy-maven-plugin</artifactId>
+ <groupId>org.codehaus.gmavenplus</groupId>
+ <artifactId>gmavenplus-plugin</artifactId>
<executions>
<execution>
<id>start-scripts-generation</id>
@@ -97,9 +97,14 @@
<goal>execute</goal>
</goals>
<configuration>
- <source>
- io.fd.honeycomb.common.scripts.StartupScriptGenerator.generate(project, properties, log)
- </source>
+ <scripts>
+ <script>
+ <![CDATA[
+ import io.fd.honeycomb.common.scripts.StartupScriptGenerator
+ StartupScriptGenerator.generate(project, properties, log)
+ ]]>
+ </script>
+ </scripts>
</configuration>
</execution>
<execution>
@@ -111,9 +116,14 @@
<goal>execute</goal>
</goals>
<configuration>
- <source>
- io.fd.honeycomb.common.scripts.ModulesListGenerator.generate(project, properties, log)
- </source>
+ <scripts>
+ <script>
+ <![CDATA[
+ import io.fd.honeycomb.common.scripts.ModulesListGenerator
+ ModulesListGenerator.generate(project, log)
+ ]]>
+ </script>
+ </scripts>
</configuration>
</execution>
<execution>
@@ -123,9 +133,14 @@
<goal>execute</goal>
</goals>
<configuration>
- <source>
- io.fd.honeycomb.common.scripts.ModuleYangIndexGenerator.pairDistributionModulesWithYangModules(project, log)
- </source>
+ <scripts>
+ <script>
+ <![CDATA[
+ import io.fd.honeycomb.common.scripts.ModuleYangIndexGenerator
+ ModuleYangIndexGenerator.pairDistributionModulesWithYangModules(project, log)
+ ]]>
+ </script>
+ </scripts>
</configuration>
</execution>
</executions>
@@ -167,17 +182,18 @@
<plugin>
<artifactId>maven-surefire-plugin</artifactId>
+ <version>2.22.0</version>
<configuration>
<!--http://stackoverflow.com/questions/18107375/getting-skipping-jacoco-execution-due-to-missing-execution-data-file-upon-exec-->
- <argLine>${argLine} -Djava.security.egd=file:${random.seed.file}</argLine>
+ <argLine>${argLine} -Djava.security.egd=file:${random.seed.file} --illegal-access=permit</argLine>
</configuration>
</plugin>
</plugins>
</pluginManagement>
<plugins>
<plugin>
- <groupId>org.codehaus.gmaven</groupId>
- <artifactId>groovy-maven-plugin</artifactId>
+ <groupId>org.codehaus.gmavenplus</groupId>
+ <artifactId>gmavenplus-plugin</artifactId>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
diff --git a/common/scripts-parent/pom.xml b/common/scripts-parent/pom.xml
index 82bbf4f..374bee3 100644
--- a/common/scripts-parent/pom.xml
+++ b/common/scripts-parent/pom.xml
@@ -28,10 +28,10 @@
<properties>
<!-- groovy -->
- <maven.groovy.version>2.0</maven.groovy.version>
- <groovy.version>2.4.7</groovy.version>
- <groovy.eclipse.compiler.version>2.9.2-01</groovy.eclipse.compiler.version>
- <groovy.eclipse.batch.version>2.4.3-01</groovy.eclipse.batch.version>
+ <maven.groovy.version>1.6.2</maven.groovy.version>
+ <groovy.version>2.5.5</groovy.version>
+ <groovy.eclipse.compiler.version>3.3.0-01</groovy.eclipse.compiler.version>
+ <groovy.eclipse.batch.version>2.5.6-02</groovy.eclipse.batch.version>
<odl.yang-binding.version>0.13.2</odl.yang-binding.version>
</properties>
@@ -41,6 +41,12 @@
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
<version>${groovy.version}</version>
+ <type>pom</type>
+ </dependency>
+ <dependency>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-templates</artifactId>
+ <version>${groovy.version}</version>
</dependency>
<dependency>
<groupId>org.opendaylight.mdsal</groupId>
@@ -72,9 +78,12 @@
</plugin>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
+ <version>3.8.0</version>
<!-- 2.8.0-01 and later require maven-compiler-plugin 3.1 or higher -->
<configuration>
<compilerId>groovy-eclipse-compiler</compilerId>
+ <source>1.8</source>
+ <target>1.8</target>
</configuration>
<dependencies>
<dependency>
@@ -83,11 +92,18 @@
<version>${groovy.eclipse.compiler.version}</version>
</dependency>
<!-- for 2.8.0-01 and later you must have an explicit dependency on groovy-eclipse-batch -->
+ <!-- https://mvnrepository.com/artifact/org.codehaus.groovy/groovy-eclipse-batch -->
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-eclipse-batch</artifactId>
<version>${groovy.eclipse.batch.version}</version>
</dependency>
+ <dependency>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-all</artifactId>
+ <version>${groovy.version}</version>
+ <type>pom</type>
+ </dependency>
</dependencies>
</plugin>
</plugins>
diff --git a/common/yang-whitelist/yang-whitelist-api/pom.xml b/common/yang-whitelist/yang-whitelist-api/pom.xml
index cddb17e..a4a7556 100644
--- a/common/yang-whitelist/yang-whitelist-api/pom.xml
+++ b/common/yang-whitelist/yang-whitelist-api/pom.xml
@@ -34,7 +34,7 @@
<name>${project.artifactId}</name>
<properties>
- <jaxb-api.version>2.2.12</jaxb-api.version>
+ <jaxb-api.version>2.4.0-b180725.0427</jaxb-api.version>
</properties>
<dependencies>
diff --git a/common/yang-whitelist/yang-whitelist-api/src/main/java/io/fd/honeycomb/yang/YangModuleWhitelist.java b/common/yang-whitelist/yang-whitelist-api/src/main/java/io/fd/honeycomb/yang/YangModuleWhitelist.java
index fee6c39..d8e932b 100644
--- a/common/yang-whitelist/yang-whitelist-api/src/main/java/io/fd/honeycomb/yang/YangModuleWhitelist.java
+++ b/common/yang-whitelist/yang-whitelist-api/src/main/java/io/fd/honeycomb/yang/YangModuleWhitelist.java
@@ -22,8 +22,8 @@ import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
/**
- * <yang-modules-whitelist> <modules> <module> <package>io.fd.aaa.bbb.ccc</package> <description>XYZ</description>
- * </module> </modules> </yang-modules-whitelist>
+ * &lt;yang-modules-whitelist&gt; &lt;modules&gt; &lt;module&gt; &lt;package&gt;io.fd.aaa.bbb.ccc&lt;/package&gt; &lt;description&gt;XYZ&lt;/description&gt;
+ * &lt;/module&gt; &lt;/modules&gt; &lt;/yang-modules-whitelist&gt;
*/
@XmlRootElement
public class YangModuleWhitelist {
diff --git a/common/yang-whitelist/yang-whitelist-impl/pom.xml b/common/yang-whitelist/yang-whitelist-impl/pom.xml
index e0af117..da00dda 100644
--- a/common/yang-whitelist/yang-whitelist-impl/pom.xml
+++ b/common/yang-whitelist/yang-whitelist-impl/pom.xml
@@ -34,7 +34,7 @@
<name>${project.artifactId}</name>
<properties>
- <jaxb-runtime.version>2.2.11</jaxb-runtime.version>
+ <jaxb-runtime.version>2.3.2</jaxb-runtime.version>
<slf4j-simple.version>1.7.25</slf4j-simple.version>
</properties>
@@ -50,6 +50,26 @@
<version>${jaxb-runtime.version}</version>
</dependency>
<dependency>
+ <groupId>javax.annotation</groupId>
+ <artifactId>javax.annotation-api</artifactId>
+ <version>1.3.2</version>
+ </dependency>
+ <dependency>
+ <groupId>javax.xml.bind</groupId>
+ <artifactId>jaxb-api</artifactId>
+ <version>2.4.0-b180725.0427</version>
+ </dependency>
+ <dependency>
+ <groupId>com.sun.xml.bind</groupId>
+ <artifactId>jaxb-impl</artifactId>
+ <version>2.4.0-b180830.0438</version>
+ </dependency>
+ <dependency>
+ <groupId>com.sun.xml.bind</groupId>
+ <artifactId>jaxb-core</artifactId>
+ <version>2.3.0.1</version>
+ </dependency>
+ <dependency>
<groupId>com.google.code.findbugs</groupId>
<artifactId>jsr305</artifactId>
<version>3.0.2</version>
@@ -71,12 +91,6 @@
<scope>test</scope>
</dependency>
<dependency>
- <groupId>org.hamcrest</groupId>
- <artifactId>hamcrest-core</artifactId>
- <version>1.3</version>
- <scope>test</scope>
- </dependency>
- <dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-simple</artifactId>
<version>${slf4j-simple.version}</version>
diff --git a/common/yang-whitelist/yang-whitelist-impl/src/test/java/io/fd/honeycomb/yang/YangModuleWhitelistReaderTest.java b/common/yang-whitelist/yang-whitelist-impl/src/test/java/io/fd/honeycomb/yang/YangModuleWhitelistReaderTest.java
index 6ab917a..5ca47f2 100644
--- a/common/yang-whitelist/yang-whitelist-impl/src/test/java/io/fd/honeycomb/yang/YangModuleWhitelistReaderTest.java
+++ b/common/yang-whitelist/yang-whitelist-impl/src/test/java/io/fd/honeycomb/yang/YangModuleWhitelistReaderTest.java
@@ -18,11 +18,11 @@ package io.fd.honeycomb.yang;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
-import static org.junit.Assert.assertThat;
+import static org.junit.Assert.assertTrue;
+import com.google.common.collect.ImmutableSet;
import java.nio.file.Paths;
import java.util.List;
-import org.hamcrest.CoreMatchers;
import org.junit.Before;
import org.junit.Test;
@@ -50,7 +50,6 @@ public class YangModuleWhitelistReaderTest {
moduleA.setDescription("desc");
moduleB.setPckg("module.b.package");
-
- assertThat(modules, CoreMatchers.hasItems(moduleA, moduleB));
+ assertTrue(modules.containsAll(ImmutableSet.of(moduleA, moduleB)));
}
} \ No newline at end of file